Name:           gdeskcal
Version:        1.01
Release:        1%{?dist}
Summary:        Eye-candy calendar for your desktop
Group:          User Interface/Desktops
License:        GPL
URL:            http://www.pycage.de/
Source0:        http://www.pycage.de/download/gDeskCal-%{version}.tar.gz
Source1:        gdeskcal.png
Source2:        gdeskcal.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, pygtk2-devel, perl(XML::Parser), gettext
Requires:       pygtk2 >= 1.99.14
Requires:       python >= 2.0.0

BuildArch:      noarch
Provides:       gDeskCal = %{version}-%{release}

%description
gDeskCal is a cute little eye-candy calendar for your desktop.  It features
transparency with smooth alpha-blending and its appearance can be changed
completely by using skins.


%prep
%setup -q -n gDeskCal-%{version}

%build
%configure
make 
# no multi build as it's annoying the buildsys

%install
rm -rf %{buildroot}
install -p -D -m0644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/gdeskcal.png
make DESTDIR=%{buildroot} install

desktop-file-install --vendor fedora                    \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
%if "%{?fedora}" <= "6"
  --add-category X-Fedora                               \
%endif
  %{SOURCE2}

%find_lang %name

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README 
%{_bindir}/gdeskcal
%{_datadir}/applications/fedora-%{name}.desktop
%exclude %{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/


%changelog
* Sun Mar 18 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.01-1
- upgrade to 1.01 (patches merged)

* Mon Feb 26 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0-12
- fix About dialog
- fix i18n.py to initialise gettext with the right localedir
- rename message object files to gdeskcal.mo to fix conflict
  with gdesklets package (#220187)
- update URL
- revert language sub-package

* Fri Feb 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-11
- removed the languages files from the main package

* Wed Dec 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-10
- added fix for about dialog

* Fri Nov 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-9
- added BR gettext

* Thu Nov 02 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-8
- removed the smp_mflags as it was annoying the RH buildsys

* Thu Nov 02 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-7
- added perl(xml::parser)

* Thu Nov 02 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-6
- a couple of small fixes

* Wed Nov 01 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-4
- added post and postun
- conditional for the X-Fedora in the desktop icon
- fixed the spec file

* Sat Oct 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0-1
- bump to new version

* Fri Apr 7 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.5.7.1-5
- rebuilt
- minor spec changes

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0.5.7.1-0.fdr.3
- Clean up spec/Bump release.

* Sun May 09 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.7.1-0.fdr.2
- Re-grabbed source tarball.

* Wed Apr 07 2004 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.7.1-0.fdr.1
- Updated tp 0.5.7.1.

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.5-0.fdr.2
- BuildReq desktop-file-utils.

* Mon Sep 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.5-0.fdr.1
- Updated tp 0.5.5.

* Tue Jul 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.5.4-0.fdr.1
- Fedorification.
- Added Desktop Entry/Icon.

* Fri May 2 2003 Jason Tackaberry <tack@auc.ca>
- Updated pygtk requirement to 1.99.14

* Mon Apr 7 2003 Jason Tackaberry <tack@auc.ca>
- Initial RPM release.
